Beim Parsen des Pakets ist ein Problem aufgetreten - Eclipse

  • Antworten:7
  • OffenNicht stickyBentwortet
  • Forum-Beiträge: 10

22.10.2013 21:07:52 via Website

Nabend,
ich weiß es gibt schon so einen ähnlichen Thread aber das darin beschriebene, wo die minimum SDK Version zu hoch war ist bei mir nicht der Fall.
Bis vor Kurzem lief die App wunderbar und jetzt als sie PlayStore reif war kommt immer besagte Fehlermeldung wenn ich es installieren möchte (HTC Sensation XE 4.0.3). Icon der App wird auch nicht angezeigt in Solid Explorer z.B. ApkEdit ließt das Icon aber. Hier mal die manifest:
  • Forum-Beiträge: 33.139

22.10.2013 21:10:56 via Website

Markus H.
Nabend,
ich weiß es gibt schon so einen ähnlichen Thread aber das darin beschriebene, wo die minimum SDK Version zu hoch war ist bei mir nicht der Fall.
Bis vor Kurzem lief die App wunderbar und jetzt als sie PlayStore reif war kommt immer besagte Fehlermeldung wenn ich es installieren möchte (HTC Sensation XE 4.0.3). Icon der App wird auch nicht angezeigt in Solid Explorer z.B. ApkEdit ließt das Icon aber. Hier mal die manifest:
Wenn das Dein Manifest ist, dann kann es nicht gehen... :-)

Herzliche Grüße

Carsten

Ich komm' mir langsam vor wie jemand, der ich bin // #cäthe

  • Forum-Beiträge: 10

22.10.2013 21:13:43 via Website

Haha sehr witzig ;D
Musste am Laptop weiter machen weil ich es da geschrieben hab ;)

Hier ist sie:
1<?xml version="1.0" encoding="utf-8"?>
2<manifest xmlns:android="h t t p ://schemas.android.com/apk/res/android"
3 package="com.ultrandroid.crosoundboard"
4 android:versionCode="3"
5 android:versionName="1.2">
6
7 <uses-sdk
8 android:minSdkVersion="4"
9 android:targetSdkVersion="18" />
10
11 <application
12 android:allowBackup="false"
13 android:icon="@drawable/ic_launcher"
14 android:label="@string/app_name"
15 android:theme="@style/AppTheme"
16 <activity
17 android:name="com.ultrandroid.crosoundboard.Main"
18 android:label="@string/app_name" >
19 <intent-filter>
20 <action android:name="android.intent.action.MAIN" />
21
22 <category android:name="android.intent.category.LAUNCHER" />
23 </intent-filter>
24 </activity>
25 </application>
26
27</manifest>

Also nichts groß verändert. Hatte anfangs noch ein paar Optionen mehr drin, hab ich inzwischen auch raus genommen..

Minimum SDK hab ich absichtlich so tief gesetzt, sollte ja eigentlich nichts machen?
Probleme gibt es kein einziges, kein gelbes Ausrufezeichen.
An "Class" hab ich nurnoch eine Sound.java sowie einen SoundAdapter.java drin. Ehrlich gesagt hab ich dieses Tutorial hier genutzt:
h t t p ://www.techrepublic.com/blog/app-builder/create-your-own-android-sound-board/334

Und natürlich hier und da angepasst... Wundert mich total, bis vor Kurzem hats noch funktioniert und an der Manifest hab ich nichts bis auf die Version & den Versionscode geändert.. ?

— geändert am 22.10.2013 21:17:54

  • Forum-Beiträge: 33.139

22.10.2013 21:16:37 via Website

Hi,

läuft die App im Emulator?

Signatur korrekt?

Wie installierst Du die App auf Deinem Gerät?

Herzliche Grüße

Carsten

— geändert am 22.10.2013 21:17:08

Ich komm' mir langsam vor wie jemand, der ich bin // #cäthe

  • Forum-Beiträge: 10

22.10.2013 21:19:52 via Website

Hallu,
ehrlich gesagt hat der Emulator bei mir so seine Probleme also das Laden bricht ab, probier aber gleich nochmal.

Signatur sollte korrekt sein, ja, andere Apps kommen damit klar. Mit unsignierten APKs das gleiche Problem.

APK signiert exportieren und dann entweder direkt über Airdroid installieren oder nur drauf kopieren und dann über Solid Explorer.

Cheers

Edit: Ok, der Emulator läuft mal.. Lädt jetzt erstmal ne Weile Apps, kein Wunder bei 2x 2,13Ghz :)
Lol, abgestürzt..
Könnte also noch etwas gehen..

OK, endlich. Ja, es läuft im Emulator. Exportiere jetzt nochmal GENAU DIE apk und schaue obs auch "in Echt" läuft..

---€dit 2:
Yay, läuft!! Was wars im endeffekt? Entweder doch ein fehler in der manifest oder eclipse bug. Als ich das ganze im emulator starten wollte, beschwerte sich eclipse über mehrere fehler (rote x) in der manifest. Hab aber keine gefunden..also hab ich einfach ein neues projekt erstellt, die manifest kopiert, angepasst und bitte - es läuft.
Dankeschön für den hinweis mit dem emulator, sonst hätte ich noch lange gesucht :)

Hab gesehen du hast ja so einige Apps im PlayStore - hast du einen tipp wo man gut lernen kann im umgang mit eclipse? Normal baue ich ja mit appinventor (ja, höhö) und da kann man sich das ja selbst beibringen aber bei eclipse? Wäre supi wenn du dan tipp hast :3

LG
Markus

— geändert am 22.10.2013 22:31:43

  • Forum-Beiträge: 33.139

23.10.2013 06:13:36 via App

Hi,

Schön, dass es jetzt funktioniert.

Zu Eclipse und Java kann ich Dir keine Tipps geben. Ich schreibe meine Apps mit Basic4Android.

Herzliche Grüße

Carsten

Ich komm' mir langsam vor wie jemand, der ich bin // #cäthe

  • Forum-Beiträge: 10

31.10.2013 21:49:02 via Website

Danke für Eure Ideen :)

Mein Bro hat sich ein Buch über Eclipse / Java Entwicklung für 35€ gekauft - da er aber 150km weg wohnt, kann er es mir schlecht ausleihen - schickt mir aber manchmal Fotos von Seiten :)

Grüße